Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class DynamicProxyMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.DynamicProxyMapper

All Implemented Interfaces:
  Mapper

    public class DynamicProxyMapper

extends MapperWrapper

Mapper for handling special cases of aliasing dynamic proxies. The alias property specifies the name an instance of a dynamic proxy should be serialized with.

Author:
  Joe Walnes

Nested Class Summary
`static class` | `DynamicProxyMapper.DynamicProxy` Place holder type used for dynamic proxies.

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`DynamicProxyMapper(ClassMapper wrapped)` Deprecated. As of 1.2, use `DynamicProxyMapper(Mapper)`
`DynamicProxyMapper(ClassMapper wrapped, String alias)` Deprecated. As of 1.2, use `DynamicProxyMapper(Mapper, String)`
`DynamicProxyMapper(Mapper wrapped)`
`DynamicProxyMapper(Mapper wrapped, String alias)`

Method Summary
`String` | `getAlias()`
`Class` | `realClass(String elementName)` How a serialized class representation should be mapped back to a real class.
`String` | `serializedClass(Class type)` How a class name should be represented in its serialized form.
`void` | `setAlias(String alias)`

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, realMember, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicProxyMapper

    public DynamicProxyMapper(Mapper wrapped)

### DynamicProxyMapper

    public DynamicProxyMapper(Mapper wrapped,
                              String alias)

### DynamicProxyMapper

    public DynamicProxyMapper(ClassMapper wrapped)

  Deprecated. As of 1.2, use `DynamicProxyMapper(Mapper)`

### DynamicProxyMapper

    public DynamicProxyMapper(ClassMapper wrapped,
                              String alias)

  Deprecated. As of 1.2, use `DynamicProxyMapper(Mapper, String)`

Method Detail

### getAlias

    public String getAlias()

### setAlias

    public void setAlias(String alias)

### serializedClass

    public String serializedClass(Class type)

  Description copied from interface: `Mapper`
  How a class name should be represented in its serialized form.

  Specified by:
    `serializedClass` in interface `Mapper`
  Overrides:
    `serializedClass` in class `MapperWrapper`

### realClass

    public Class realClass(String elementName)

  Description copied from interface: `Mapper`
  How a serialized class representation should be mapped back to a real class.

  Specified by:
    `realClass` in interface `Mapper`
  Overrides:
    `realClass` in class `MapperWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.